DHCPLEASED(8)

NAME
dhcpleased - Dynamic Host Configuration Protocol (DHCP) client

SYNOPSIS
dhcpleased [-dnv] [-f file] [-s socket]

DESCRIPTION
dhcpleased is a dynamic host configuration protocol (DHCP) daemon for clients. It requests IP configuration information from for example those offered by dhcpd(8), on interfaces with the AUTOCONF4 flag set. See hostname.if(5) and ifconfig(8) on how to enable auto configuration on an interface.

dhcpleased monitors network interface states (interface going up or down, auto configuration enabled or disabled etc.) and sends requests when necessary.

A running dhcpleased can be controlled with the dhcpleasectl(8) utility.

The options are as follows:

-d  Do not daemonize. If this option is specified, dhcpleased will run in the foreground and log to stderr.

-f file
    Specify an alternative configuration file.

-n  Configtest mode. Only check the configuration file for validity.

-s socket
    Use an alternate location for the default control socket.

-v  Produce more verbose output. Multiple -v options increase the verbosity.

FILES
/dev/dhcpleased.sock
    UNIX-domain socket used for communication with dhcpleasectl(8).
/etc/dhcpleased.conf
    Default dhcpleased configuration file.
/var/db/dhcpleased/<if>
    Interface specific lease files.

SEE ALSO
dhcpleased.conf(5), hostname.if(5), dhcpd(8), dhcpleasectl(8), ifconfig(8)

STANDARDS
R. Droms, March 1997, RFC 2131, Dynamic Host Configuration Protocol.

S. Alexander, R. Droms, March 1997, RFC 2132, DHCP Options and BOOTP Vendor Extensions.

HISTORY
The dhcpleased program first appeared in OpenBSD 6.9.

AUTHORS
-nosplit The dhcpleased program was written by Florian Obser <florian@openbsd.org>.